View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
15669Bug reportsEncryptionpublic2021-05-17 11:14
ReporterDenisChenu Assigned Top_teichmann  
PrioritynoneSeverityminor 
Status feedbackResolutionreopened 
Product Version4.2.5 
Fixed in Version4.3.16 
Summary15669: Crypted data are not exported uncrypted
DescriptionWhen export responses : i have crypted data, with just done survey
Steps To ReproduceImport included survey,
Activate
Launch and submit
Export response : data still crypted
Additional InformationMaybe it's the desired behaviour ? But then : need a cleaner solution :)
I never update my encryptionkeypair, encryptionpublickey and encryptionsecretkey
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.4.11 git
I will donate to the project if issue is resolvedNo
Browserff
Database type & versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Version7.2.12

Relationships

related to 15668 closedp_teichmann Crypted data are not shown uncrypted 
related to 16330 closedp_teichmann Encrypted fields not decrypted correctly when viewing responses using web UI or when exported to .lsa 

Users monitoring this issue

User List kjnerhus

Activities

DenisChenu

DenisChenu

2019-12-17 18:15

developer  

DenisChenu

DenisChenu

2020-01-10 15:47

developer   ~55199

Browse to Export … bas copy/paste
DenisChenu

DenisChenu

2020-09-16 19:11

developer   ~59852

Just checked : fixed
cdorin

cdorin

2020-09-25 15:08

manager   ~59956

Great, thanks for update Denis.
DenisChenu

DenisChenu

2021-03-05 08:07

developer   ~62746

Same : broken again
p_teichmann

p_teichmann

2021-05-17 11:14

administrator   ~64425

Hello Denis, this should have been fixed by my recent encryption fixes. Just tested it and the export is decrypted in the exported file.

Issue History

Date Modified Username Field Change
2019-12-17 18:15 DenisChenu New Issue
2019-12-17 18:15 DenisChenu File Added: limesurvey_survey_Crypted.lss
2019-12-17 18:15 DenisChenu Relationship added related to 15668
2020-01-10 15:41 cdorin Assigned To => cdorin
2020-01-10 15:41 cdorin Status new => assigned
2020-01-10 15:47 DenisChenu Steps to Reproduce Updated View Revisions
2020-01-10 15:47 DenisChenu Note Added: 55199
2020-05-26 10:04 DenisChenu Relationship added related to 16330
2020-05-26 10:09 DenisChenu Summary Crypted data are not exported encrypted => Crypted data are not exported uncrypted
2020-05-27 15:36 ollehar Category Import/Export => Encryption
2020-05-27 15:40 ollehar Product Version => 4.2.5
2020-08-07 19:52 kjnerhus Issue Monitored: kjnerhus
2020-09-16 19:11 DenisChenu Status assigned => resolved
2020-09-16 19:11 DenisChenu Resolution open => fixed
2020-09-16 19:11 DenisChenu Fixed in Version => 4.3.16
2020-09-16 19:11 DenisChenu Note Added: 59852
2020-09-25 15:08 cdorin Status resolved => closed
2020-09-25 15:08 cdorin Note Added: 59956
2021-03-05 08:07 DenisChenu Assigned To cdorin =>
2021-03-05 08:07 DenisChenu Status closed => feedback
2021-03-05 08:07 DenisChenu Resolution fixed => reopened
2021-03-05 08:07 DenisChenu Complete LimeSurvey version number (& build) 4.0.0-RC12 => 4.4.11 git
2021-03-05 08:07 DenisChenu Note Added: 62746
2021-03-05 08:07 DenisChenu Status feedback => new
2021-05-17 11:14 p_teichmann Assigned To => p_teichmann
2021-05-17 11:14 p_teichmann Status new => feedback
2021-05-17 11:14 p_teichmann Note Added: 64425